org.apache.maven.shared.artifact.filter.resolve

## Class PatternInclusionsFilter

- java.lang.Object
- - org.apache.maven.shared.artifact.filter.resolve.PatternInclusionsFilter

All Implemented Interfaces:
  TransformableFilter

    public class PatternInclusionsFilter
    extends Object
    implements TransformableFilter

A simple filter to include artifacts from a list of patterns. The artifact pattern syntax is of the form:

     [groupId]:[artifactId]:[extension]:[version]
     [groupId]:[artifactId]:[extension]:[classifier]:[version]

Where each pattern segment is optional and supports full and partial `*` wildcards. An empty pattern segment is treated as an implicit wildcard. Version can be a range in case a `VersionScheme` is specified.

For example, `org.apache.*` would match all artifacts whose group id started with `org.apache.` , and `:::*-SNAPSHOT` would match all snapshot artifacts.

Since:
  3.0
Author:
  Robert Scholte
See Also:
  `PatternInclusionsDependencyFilter`, `PatternInclusionsDependencyFilter`, `VersionScheme`, `VersionScheme`

### Constructor Summary

Constructors
Constructor and Description
`PatternInclusionsFilter(Collection<String> includes)` The default constructor specifying a collection of pattern based keys which must be included.

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<String>` `getIncludes()` Get the includes
`<T> T` `transform(FilterTransformer<T> transformer)` Transform this filter to a tool specific implementation

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PatternInclusionsFilter

    public PatternInclusionsFilter(Collection<String> includes)

The default constructor specifying a collection of pattern based keys which must be included.

Parameters:
  `includes` - the includes

### Method Detail

#### getIncludes

    public final Collection<String> getIncludes()

Get the includes

Returns:
  the includes,

#### transform

    public <T> T transform(FilterTransformer<T> transformer)

Transform this filter to a tool specific implementation

Specified by:
  `transform` in interface `TransformableFilter`
Type Parameters:
  `T` - the interface of the tool specific filter
Parameters:
  `transformer` - the transformer, must not be `null`
Returns:
  the transformed value, never `null`